# Warning
# This file is managed by ansible
# All changes will be overwritten without mercy
# Make sure, you know what you are doing!

# The following is an example for use with IPv6 auto-configuration.
# The "information-only" statement makes dhcp6c exchange informational
# configuration parameters with servers. A list of DNS server addresses
# is an example of such parameters. This statement is useful when the
# client does not need stateful configuration parameters such as IPv6
# addresses or prefixes.

{% if dhcp6c_auto_configuration|bool %}
interface {{ wide_dhcpv6_interface }} {
 	information-only;
};
{% else %}
# dhcp6c_auto_configuration = False
#
# interface ne0 {
# 	information-only;
# };
{% endif %}

# The following is a sample configuration for a client on a LAN
# where IPv6 addresses are assigned via DHCPv6 ("stateful address
# assignment"). Use this if you want the client to query the
# DHCPv6 server for an IPv6 address and for DNS servers, as in
# traditional IPv4 DHCP.

{% if dhcp6c_stateful_address_assignment|bool %}
interface {{ wide_dhcpv6_interface }} {
       send ia-na 0;
       send rapid-commit;
       send domain-name-servers;
};

id-assoc na {
};
{% else %}
# dhcp6c_stateful_address_assignment = False
#
# interface em0 {
#        send ia-na 0;
#        send rapid-commit;
#        send domain-name-servers;
# };

# id-assoc na {
# };
{% endif %}


# The following is an example configuration for delegation of an IPv6 prefix
# from an upstream service provider.  With this configuration dhcp6c will
# send solicit messages containing an IA_PD option, with an IAID 0, on to
# an upstream PPP link, ppp0.  After receiving some prefixes from a server,
# dhcp6c will then configure derived IPv6 prefixes with the SLA ID 1 on a
# local ethernet interface, enp1s0.  Note that the IAID for the id-assoc
# statement is 0 according to the default.

{% if dhcp6c_prefix_from_upstream_service_provider|bool %}
interface {{ wide_dhcpv6_interface }} {
        send ia-pd 0;
};

id-assoc pd {
        prefix-interface {{ wide_prefix_interfaces }} {
                sla-id 1;
        };
};
{% else %}
# dhcp6c_prefix_from_upstream_service_provider = False
#
# interface ppp0 {
#         send ia-pd 0;
# };
#
# id-assoc pd {
#         prefix-interface enp1s0 {
#                 sla-id 1;
#         };
# };
{% endif %}

# If a shared secret was to be configured in both the client and the server
# for DHCPv6 authentication, it would be specified in this file as follows:

# keyinfo kame-key {
#      realm "kame.net";
#      keyid 1;
#      secret "5pvW2g48OHPvkYMJSw0vZA==";
# };

# And the interface statement would be modified as follows:

# interface ppp0 {
#      send ia-pd 0;
#      send authentication kame;
# };


